<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/soc/include/soc_xwr16xx.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9b3c509d59256edccfca8ec85704cf01.html">soc</a></li><li class="navelem"><a class="el" href="dir_b5c6a58cc167b8776be2706a79e1c14a.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">soc_xwr16xx.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the header file for the XWR16XX specific definitions needed by SOC driver.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ac37c9ec35f819b19d0a6349419c5d34d"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="soc__xwr14xx_8h.html#a73059b89df271a56bbd8121ccbc53970">SOC_ModuleId_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__xwr16xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a></td></tr>
<tr class="memdesc:ac37c9ec35f819b19d0a6349419c5d34d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration for system peripheral module id.  <a href="#ac37c9ec35f819b19d0a6349419c5d34d">More...</a><br /></td></tr>
<tr class="separator:ac37c9ec35f819b19d0a6349419c5d34d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab11e690ee4db217655fa954eb7c075e6"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="soc__xwr16xx_8h.html#a04b1102a06ac211ecc9dcd27eb051505">SOC_SecureFirewallModule_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__xwr16xx_8h.html#ab11e690ee4db217655fa954eb7c075e6">SOC_SecureFirewallModule</a></td></tr>
<tr class="memdesc:ab11e690ee4db217655fa954eb7c075e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Secure device firewall capable modules.  <a href="#ab11e690ee4db217655fa954eb7c075e6">More...</a><br /></td></tr>
<tr class="separator:ab11e690ee4db217655fa954eb7c075e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the header file for the XWR16XX specific definitions needed by SOC driver. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ac37c9ec35f819b19d0a6349419c5d34d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="soc__xwr14xx_8h.html#a73059b89df271a56bbd8121ccbc53970">SOC_ModuleId_e</a> <a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration for system peripheral module id. </p>
<p>The enumeration defines the system peripheral module id to be used to configure clock, memory initialization etc. </p>

</div>
</div>
<a class="anchor" id="ab11e690ee4db217655fa954eb7c075e6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="soc__xwr16xx_8h.html#a04b1102a06ac211ecc9dcd27eb051505">SOC_SecureFirewallModule_e</a> <a class="el" href="soc__xwr16xx_8h.html#ab11e690ee4db217655fa954eb7c075e6">SOC_SecureFirewallModule</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SOC Secure device firewall capable modules. </p>
<p>The bitmap enum defines the modules that can have firewall enabled/disabled on a secure device </p>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="a73059b89df271a56bbd8121ccbc53970"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="soc__xwr14xx_8h.html#a73059b89df271a56bbd8121ccbc53970">SOC_ModuleId_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enumeration for system peripheral module id. </p>
<p>The enumeration defines the system peripheral module id to be used to configure clock, memory initialization etc. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a65c4ee53e15d638f9c9f7858fc85b1ef"></a>SOC_MODULE_DCAN&#160;</td><td class="fielddoc">
<p>DCAN module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a19329e2b937685a77af7556ffceeab24"></a>SOC_MODULE_DMA&#160;</td><td class="fielddoc">
<p>DMA module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a735f9025fbf9ae709ba31eb0e0355522"></a>SOC_MODULE_QSPI&#160;</td><td class="fielddoc">
<p>QSPI module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970ab92171ae1f7d3dbaf8b777a5debfdfda"></a>SOC_MODULE_SPIA&#160;</td><td class="fielddoc">
<p>SPIA module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a3acbab179a0a753880dc3caae8a43cc5"></a>SOC_MODULE_SPIB&#160;</td><td class="fielddoc">
<p>SPIB module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a65c4ee53e15d638f9c9f7858fc85b1ef"></a>SOC_MODULE_DCAN&#160;</td><td class="fielddoc">
<p>DCAN module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a19329e2b937685a77af7556ffceeab24"></a>SOC_MODULE_DMA&#160;</td><td class="fielddoc">
<p>DMA module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a8e9e449ccd30efd242a1e1e16f543fcc"></a>SOC_MODULE_DMA2&#160;</td><td class="fielddoc">
<p>DMA2 module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a03665f4b81cb2ea0ed9cc477d2ce2a33"></a>SOC_MODULE_MCAN&#160;</td><td class="fielddoc">
<p>MCAN module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a735f9025fbf9ae709ba31eb0e0355522"></a>SOC_MODULE_QSPI&#160;</td><td class="fielddoc">
<p>QSPI module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970ab92171ae1f7d3dbaf8b777a5debfdfda"></a>SOC_MODULE_SPIA&#160;</td><td class="fielddoc">
<p>SPIA module. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a73059b89df271a56bbd8121ccbc53970a3acbab179a0a753880dc3caae8a43cc5"></a>SOC_MODULE_SPIB&#160;</td><td class="fielddoc">
<p>SPIB module. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="soc__xwr16xx_8h.html#a04b1102a06ac211ecc9dcd27eb051505">SOC_SecureFirewallModule_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SOC Secure device firewall capable modules. </p>
<p>The bitmap enum defines the modules that can have firewall enabled/disabled on a secure device </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505a3739f3ac85784b462387b7cd52ef5975"></a>SOC_SECURE_FIREWALL_JTAG&#160;</td><td class="fielddoc">
<p>JTAG </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505a171da8789b2cae18102afc21a066fd5b"></a>SOC_SECURE_FIREWALL_SECURERAM&#160;</td><td class="fielddoc">
<p>Secure RAM </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505a50e44ab677516550556d348ddd9780ed"></a>SOC_SECURE_FIREWALL_LOGGER&#160;</td><td class="fielddoc">
<p>Logger </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505add4108b5bc10082a7482836536fd37e4"></a>SOC_SECURE_FIREWALL_TRACE&#160;</td><td class="fielddoc">
<p>Trace </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505a3320ae089637f67ee1c21c70a80a9084"></a>SOC_SECURE_FIREWALL_CRYPTO&#160;</td><td class="fielddoc">
<p>CRYPTO </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505abdec03a15bc769d17ca93b878eb6248b"></a>SOC_SECURE_FIREWALL_CUSTCEK&#160;</td><td class="fielddoc">
<p>CEK1, CEK2 firewall </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a04b1102a06ac211ecc9dcd27eb051505ad80e1eab7aa6d5bd72b4dcabdd7e1e40"></a>SOC_SECURE_FIREWALL_DMM&#160;</td><td class="fielddoc">
<p>DMM </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
